com.holonplatform.vaadin7.navigator

## Interface ViewNavigator.ViewNavigatorChangeEvent

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DefaultViewNavigatorChangeEvent
  Enclosing interface:
    ViewNavigator

      public static interface ViewNavigator.ViewNavigatorChangeEvent
      extends Serializable

  View change event.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.navigator.View` | `getNewView()` Returns the view being activated.
    `com.vaadin.navigator.View` | `getOldView()` Returns the view being deactivated.
    `String` | `getParameters()` Returns the parameters for the view being activated.
    `String` | `getViewName()` Returns the view name of the view being activated.
    `ViewNavigator` | `getViewNavigator()` Returns the navigator that triggered this event.
    `Optional<com.vaadin.ui.Window>` | `getWindow()` If the navigation to the view being activated is requested in window, returns the `Window` into which the view is displayed.

- - ### Method Detail

    - #### getViewNavigator

          ViewNavigator getViewNavigator()

      Returns the navigator that triggered this event.
      Returns:
        the `ViewNavigator` (not null)

    - #### getOldView

          com.vaadin.navigator.View getOldView()

      Returns the view being deactivated.
      Returns:
        the old View (may be null)

    - #### getNewView

          com.vaadin.navigator.View getNewView()

      Returns the view being activated.
      Returns:
        the new View (not null)

    - #### getViewName

          String getViewName()

      Returns the view name of the view being activated.
      Returns:
        view name of the new View (not null)

    - #### getParameters

          String getParameters()

      Returns the parameters for the view being activated.
      Returns:
        the navigation parameters for the new view (may be null)

    - #### getWindow

          Optional<com.vaadin.ui.Window> getWindow()

      If the navigation to the view being activated is requested in window, returns the `Window` into which the view is displayed.
      Returns:
        Optional view container window

Copyright © 2019 The Holon Platform. All rights reserved.